Get all Lease Transfers
https://api.propexo.com/v1/lease-transfers/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The external ID of the property from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the next lease
The Propexo unique identifier for the previous lease
The Propexo unique identifier for the next unit
The Propexo unique identifier for the previous unit
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the lease transfer
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the resident from the integration vendor
The external ID of the next lease from the integration vendor
The external ID of the property associated with the next lease from the integration vendor
The external ID of the previous lease from the integration vendor
The external ID of the property associated with the previous lease from the integration vendor
The external ID of the next unit from the integration vendor
The external ID of the previous unit from the integration vendor
The normalized type of the resident
The raw type of the resident
The normalized status of the next lease
The raw status of the next lease
The normalized status of the previous lease
The raw status of the previous lease
The effective date of the lease transfer
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the next lease
The Propexo unique identifier for the previous lease
The Propexo unique identifier for the next unit
The Propexo unique identifier for the previous unit
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/lease-transfers/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_resident_id": "string",
"x_lease_id_next": "string",
"x_lease_property_id_next": "string",
"x_lease_id_previous": "string",
"x_lease_property_id_previous": "string",
"x_unit_id_next": "string",
"x_unit_id_previous": "string",
"resident_type": "string",
"resident_type_raw": "string",
"lease_status_next": "string",
"lease_status_next_raw": "string",
"lease_status_previous": "string",
"lease_status_previous_raw": "string",
"transfer_effective_date": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"resident_id": "string",
"lease_id_next": "string",
"lease_id_previous": "string",
"unit_id_next": "string",
"unit_id_previous": "string"
}
]
}